package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.common.core.domain.entity.FormalTeacherClass;

/**
 * 老师-班级（学科）(审核通过之后数据)Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-30
 */
public interface FormalTeacherClassMapper 
{
    /**
     * 查询老师-班级（学科）(审核通过之后数据)
     * 
     * @param id 老师-班级（学科）(审核通过之后数据)主键
     * @return 老师-班级（学科）(审核通过之后数据)
     */
    public FormalTeacherClass selectFormalTeacherClassById(Long id);

    /**
     * 查询老师-班级（学科）(审核通过之后数据)列表
     * 
     * @param formalTeacherClass 老师-班级（学科）(审核通过之后数据)
     * @return 老师-班级（学科）(审核通过之后数据)集合
     */
    public List<FormalTeacherClass> selectFormalTeacherClassList(FormalTeacherClass formalTeacherClass);

    /**
     * 新增老师-班级（学科）(审核通过之后数据)
     * 
     * @param formalTeacherClass 老师-班级（学科）(审核通过之后数据)
     * @return 结果
     */
    public int insertFormalTeacherClass(FormalTeacherClass formalTeacherClass);

    /**
     * 修改老师-班级（学科）(审核通过之后数据)
     * 
     * @param formalTeacherClass 老师-班级（学科）(审核通过之后数据)
     * @return 结果
     */
    public int updateFormalTeacherClass(FormalTeacherClass formalTeacherClass);

    /**
     * 删除老师-班级（学科）(审核通过之后数据)
     * 
     * @param id 老师-班级（学科）(审核通过之后数据)主键
     * @return 结果
     */
    public int deleteFormalTeacherClassById(Long id);

    /**
     * 批量删除老师-班级（学科）(审核通过之后数据)
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFormalTeacherClassByIds(Long[] ids);

    public List<FormalTeacherClass> getTeacherClass(String teacherId);

    void deleteFormalTeacherClassByTeacherId(Long userId);
}
